// FIXME: make some of these things resources
#include "displays.h"
#include <stdlib.h>
#include "help.h"

#ifdef BIGPIXMAPS
#define SCALE 2
char *fontName = "lucidasanstypewriter-14";
#else
#define SCALE 1
char *fontName = "lucidasanstypewriter-8";
#endif
#define SC(x) (SCALE*x)

int FontHeight; // extracted from Font info;
int FontWidth;

int SquareWidth  = SC(16);
int SquareHeight = SC(16);

int ResourceIconWidth  = SC(8);
int ResourceIconHeight = SC(8);

int PeopleWidth  = SC(8);
int PeopleHeight = SC(12);

int SmokeStackWidth  = SC(8);
int SmokeStackHeight = SC(16);

int VertSpace = 8;
int MainMapWidth = 64; // min(maxX,HorizSpace)
int MainMapHeight = 64; // MainMapWidth*maxX/maxY;
int OwnUnitsPerRow = 6;
int MaxOwnUnitsRows = 2;
int StationedUnitsPerRow = 5;
int MaxStationedUnitsRows = 2;
int BuildingsInList = 11;

char* backGroundColor = "#79e78e38ffff";
char* whiteColor = "white";
char* blackColor = "black";
char* grayColor = "SlateGray";
char* redColor = "red";

static MenuItem orders[] = {
  {"Fortify", "f"},
  {"Disband", "d"},
  {"Sleep", "s"},
  {" ", "%"}, // some illegal character -puts space in menu
  {"(Rail)road", "r"},
  {"Irrigiate", "i"},
  {"Mine", "m"},
  {"Build City", "b"},
  {"UnPollute", "p"},
  {NULL, NULL}
};

static MenuItem game[] = {
  {"Set Tax Rate", "t"},
  {"Set Lux Rate", "l"},
  {"Revolution", "g"},
  {NULL, NULL}
};

static MenuItem reports[] = {
  {"City Report", CityReport},
  {"Science Report", ScienceReport},
  {NULL, NULL}
};

static MenuItem help[] = {
  {"Help on Units", UnitHelp},
  {"Help on Sciences", ScienceHelp},
  {NULL, NULL}
};

MenuItem *GameControlMenu = &game[0];
MenuItem *OrderMenu = &orders[0];
MenuItem *ReportMenu = &reports[0];
MenuItem *HelpMenu = &help[0];
